import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

public class Xylophone extends Actor
{
    
    int[] score = new int[800];
    int[] notes = {72,71,69,67,65,64,62,60,59,57,55,53,52,50,48};
    int count1, count2;
    int note1=17,note2=17;
    int place1,place2;
    double a=0,b=0,c=0,d=0,aV,bV,cV,dV;
    boolean dead1=false,dead2=false;
    GreenfootImage screen = new GreenfootImage(200,105);
    
    public Xylophone(int[] s){
        screen.drawLine(0,100,200,100);
        score = s;
        screen.setColor(Color.green);
        for(int f=1;f<16;f++){
            screen.fillRect(f*10-4,95,8,4);
        }
        
        score[0] = score[0]-3;
        setImage(screen);
        count1 = 0;
        count2 = score[0];
        if(score[3]==-1)dead2=true;
        place1 = 0;
        place2 = 2;
        cV = ((160 - 10*score[1])-c)/count2;
        dV = 8.0/count2;
        note2 = score[1];
    }
    
    public void act() 
    {
        if(Greenfoot.isKeyDown("t")){
            getWorld().removeObject(this);
            return;
        }
        
        screen.setColor(Color.black);
        screen.drawLine(0,100,200,100);
        screen.setColor(new Color(128,128,128));
        screen.drawLine(0,99,200,99);
        

        
        if(count1==0 && !dead1){
            screen.setColor(Color.green);
            screen.fillRect(160 - note1*10-4,99,7,2);
            count1 = score[place1] + score[place1+2];
            note1 = score[place1+3]; 
            if(note1==0 || note1==-1){
                dead1=true;
            }
            aV = ((160 - note1*10) - a)/count1;
            place1 = place1+4;
            bV = 16.0/count1;
        }
        count1--;
        
        if(count2==0 && !dead2){
            screen.setColor(Color.green);
            screen.fillRect(160 - note2*10-4,99,7,2);
            count2 = score[place2] + score[place2+2];
            note2 = score[place2+3];   
            if(note2==0 || note2==-1){
                dead2=true;
            }
            cV = ((160 - note2*10) - c)/count2;
            place2 = place2+4;
            dV = 16.0/count2;
        }
        count2--;
        
        if(count1==2 && !dead1  && score[place1]>0)
        ((worldness)getWorld()).play(notes[note1-1], 1,8,80);
        if(count2==2 && !dead2 && score[place2]>0)
        ((worldness)getWorld()).play(notes[note2-1], 1,8,80);
        screen.setColor(new Color(128,128,128));
        screen.fillOval((int)a-5,(int)b-5,10,10);
        screen.fillOval((int)c-5,(int)d-5,10,10);
        screen.setColor(Color.black);
        a = a + aV;
        b = 90 + (count1)*(-8) + .5*bV*(count1)*(count1);
        c = c + cV;
        d = 90 + (count2)*(-8) + .5*dV*(count2)*(count2);
        screen.fillOval((int)a-5,(int)b-5,10,10);
        screen.setColor(Color.red);
        screen.fillOval((int)c-5,(int)d-5,10,10);
       
    }    
    
    

    
    
    
}
